Mailinglist Archive: opensuse-bugs (4504 mails)

< Previous Next >
[Bug 963700] Base:System/glibc: Bug Request version bump to GLIBC v >= 2.23, and backport/cherrypick for Leap
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 10 Feb 2016 15:23:24 +0000
  • Message-id: <bug-963700-21960-NbXWTJcCZJ@http.bugzilla.novell.com/>
http://bugzilla.novell.com/show_bug.cgi?id=963700
http://bugzilla.novell.com/show_bug.cgi?id=963700#c9

--- Comment #9 from Michael Matz <matz@xxxxxxxx> ---
Confirmed with e.g.:
% cat x.cc
#include <cmath>
using namespace std;

int f (double d)
{
return isinf(d);
}

% g++-5 -std=c++11 -c x.cc

The fix for GCC bug PR48891 wasn't ever applied to the gcc-5 branch, and so the
whole compatibility code to deal with the obsolete functions is missing.

We'd either have to change GCC to add the compat code (perhaps also for older
GCCs than only 5), or add the patch d9b965fa56350d6eea9f7f438a0714c7ffbb183f
(and the followup
https://www.sourceware.org/ml/libc-alpha/2016-02/msg00020.html ) to our old
glibcs to not export the conflicting obsolete functions for C++.

Or accept that older GCCs don't work in c++11 mode with older glibc regarding
these three functions. GCC 6 and glibc 2.23 are coming anyway in a couple
weeks.

If we want to fix anything, GCC is probably easier, because glibc comes
directly from SLE12 and is more complicated to change.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >